summary refs log tree commit diff
path: root/prune.sh
diff options
context:
space:
mode:
Diffstat (limited to 'prune.sh')
-rwxr-xr-xprune.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/prune.sh b/prune.sh
new file mode 100755
index 00000000..31ab30cf
--- /dev/null
+++ b/prune.sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+set -e -u
+
+find -L ~ -type l -lname "$PWD/*" | while read -r linkPath; do
+	rm "$linkPath"
+	echo "$linkPath"
+done